# Uses of Interface
org.eclipse.emf.cdo.common.lock.CDOLockDelta

Packages that use CDOLockDelta
Package
Description
org.eclipse.emf.cdo.common.lock
Common concepts for dealing with durable locks and views.
org.eclipse.emf.cdo.common.protocol
Common concepts for dealing with protocols and CDO-specific I/O.
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.
org.eclipse.emf.cdo.spi.common.lock
Common service provider interfaces and useful base implementations for dealing with object locks.
org.eclipse.emf.cdo.spi.common.protocol
Common base implementations for dealing with I/O of CDO data structures.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOLockDelta in org.eclipse.emf.cdo.common.lock

Fields in org.eclipse.emf.cdo.common.lock declared as CDOLockDelta
Modifier and Type
Field
Description
`static final CDOLockDelta[]`
CDOLockUtil.`NO_LOCK_DELTAS`
Methods in org.eclipse.emf.cdo.common.lock that return CDOLockDelta
Modifier and Type
Method
Description
`static CDOLockDelta`
CDOLockUtil.`createLockDelta(Object target)`
`static CDOLockDelta`
CDOLockUtil.`createLockDelta(Object target, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`CDOLockDelta[]`
CDOLockChangeInfo.`getLockDeltas()`
`static CDOLockDelta[]`
CDOLockUtil.`toArray(List<CDOLockDelta> deltas)`
Methods in org.eclipse.emf.cdo.common.lock that return types with arguments of type CDOLockDelta
Modifier and Type
Method
Description
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, Object target, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, CDOLockDelta delta)`
Methods in org.eclipse.emf.cdo.common.lock with parameters of type CDOLockDelta
Modifier and Type
Method
Description
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, CDOLockDelta delta)`
Method parameters in org.eclipse.emf.cdo.common.lock with type arguments of type CDOLockDelta
Modifier and Type
Method
Description
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, Object target, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type, CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`static List<CDOLockDelta>`
CDOLockUtil.`appendLockDelta(List<CDOLockDelta> deltas, CDOLockDelta delta)`
`static CDOLockChangeInfo`
CDOLockUtil.`createLockChangeInfo(CDOBranchPoint branchPoint, CDOLockOwner lockOwner, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates)`
`static CDOLockDelta[]`
CDOLockUtil.`toArray(List<CDOLockDelta> deltas)`

## Uses of CDOLockDelta in org.eclipse.emf.cdo.common.protocol

Methods in org.eclipse.emf.cdo.common.protocol that return CDOLockDelta
Modifier and Type
Method
Description
`CDOLockDelta`
CDODataInput.`readCDOLockDelta()`
Methods in org.eclipse.emf.cdo.common.protocol that return types with arguments of type CDOLockDelta
Modifier and Type
Method
Description
`default List<CDOLockDelta>`
CDODataInput.`readCDOLockDeltas()`
Methods in org.eclipse.emf.cdo.common.protocol with parameters of type CDOLockDelta
Modifier and Type
Method
Description
`void`
CDODataOutput.`writeCDOLockDelta(CDOLockDelta lockDelta)`
Method parameters in org.eclipse.emf.cdo.common.protocol with type arguments of type CDOLockDelta
Modifier and Type
Method
Description
`default void`
CDODataOutput.`writeCDOLockDeltas(List<CDOLockDelta> lockDeltas, Predicate<CDOLockDelta> filter)`
`default void`
CDODataOutput.`writeCDOLockDeltas(List<CDOLockDelta> lockDeltas, Predicate<CDOLockDelta> filter)`

## Uses of CDOLockDelta in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return types with arguments of type CDOLockDelta
Modifier and Type
Method
Description
`List<CDOLockDelta>`
IStoreAccessor.CommitContext.`getLockDeltas()`

## Uses of CDOLockDelta in org.eclipse.emf.cdo.spi.common.lock

Methods in org.eclipse.emf.cdo.spi.common.lock that return CDOLockDelta
Modifier and Type
Method
Description
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addOptionOwner(CDOLockOwner owner)`
`final CDOLockDelta`
AbstractCDOLockState.`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`CDOLockDelta`
InternalCDOLockState.`addOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`addWriteOwner(CDOLockOwner owner)`
`final CDOLockDelta[]`
AbstractCDOLockState.`clearOwner(CDOLockOwner owner)`
`CDOLockDelta[]`
InternalCDOLockState.`clearOwner(CDOLockOwner owner)`
`CDOLockDelta[]`
InternalCDOLockState.`remapOwner(CDOLockOwner oldOwner, CDOLockOwner newOwner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeOptionOwner(CDOLockOwner owner)`
`final CDOLockDelta`
AbstractCDOLockState.`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`CDOLockDelta`
InternalCDOLockState.`removeOwner(CDOLockOwner owner, org.eclipse.net4j.util.concurrent.IRWLockManager.LockType type)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeReadOwner(CDOLockOwner owner)`
`protected abstract CDOLockDelta`
AbstractCDOLockState.`removeWriteOwner(CDOLockOwner owner)`

## Uses of CDOLockDelta in org.eclipse.emf.cdo.spi.common.protocol

Methods in org.eclipse.emf.cdo.spi.common.protocol that return CDOLockDelta
Modifier and Type
Method
Description
`CDOLockDelta`
CDODataInputImpl.`readCDOLockDelta()`
Methods in org.eclipse.emf.cdo.spi.common.protocol with parameters of type CDOLockDelta
Modifier and Type
Method
Description
`void`
CDODataOutputImpl.`writeCDOLockDelta(CDOLockDelta lockDelta)`

## Uses of CDOLockDelta in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return types with arguments of type CDOLockDelta
Modifier and Type
Method
Description
`List<CDOLockDelta>`
CDOSessionProtocol.CommitTransactionResult.`getLockDeltas()`
`List<CDOLockDelta>`
CDOSessionProtocol.LockObjectsResult.`getLockDeltas()`
`List<CDOLockDelta>`
CDOSessionProtocol.UnlockObjectsResult.`getLockDeltas()`
`List<CDOLockDelta>`
CDOLockStateCache.`removeOwner(CDOBranch branch, CDOLockOwner owner, Consumer<CDOLockState> consumer)`
Method parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOLockDelta
Modifier and Type
Method
Description
`void`
CDOSessionProtocol.CommitTransactionResult.`setLockDeltas(List<CDOLockDelta> lockDeltas)`
`void`
CDOLockStateCache.`updateLockStates(CDOBranch branch, Collection<CDOLockDelta> lockDeltas, Collection<CDOLockState> lockStates, Consumer<CDOLockState> consumer)`
Constructor parameters in org.eclipse.emf.spi.cdo with type arguments of type CDOLockDelta
Modifier
Constructor
Description
``
`LockObjectsResult(boolean successful, boolean timedOut, boolean waitForUpdate, long requiredTimestamp, CDORevisionKey[] staleRevisions, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates, long timestamp)`
``
`UnlockObjectsResult(long timestamp, List<CDOLockDelta> lockDeltas, List<CDOLockState> lockStates)`